Subject: Re: [PATCH net-next v6 1/3] scm: add SO_PASSPIDFD and SCM_PIDFD

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 May 2023 08:19:33 -0700

On Wed, 24 May 2023 11:47:50 +0100 Luca Boccassi wrote:
> > I will send SO_PEERPIDFD as an independent patch too, because it
> > doesn't require this change with CONFIG_UNIX
> > and we can avoid waiting until CONFIG_UNIX change will be merged.
> > I've a feeling that the discussion around making CONFIG_UNIX  to be a
> > boolean won't be easy and fast ;-)  
> 
> Thank you, that sounds great to me, I can start using SO_PEERPIDFD
> independently of SCM_PIDFD, there's no hard dependency between the
> two.

How about you put the UNIX -> bool patch at the end of the series,
(making it a 4 patch series) and if there's a discussion about it 
I'll just skip it and apply the first 3 patches?

In the (IMHO more likely) case that there isn't a discussion it saves
me from remembering to chase you to send that patch ;)